## ocaml-luv 0.5.10

=== Makefile ===
.PHONY : build
build :
	dune build -p luv

.PHONY : test
test :
	dune runtest --no-buffer --force

.PHONY : examples
examples :
	dune build \
	  example/hello_world.exe \
	  example/delay.exe \
	  example/print_using_file.exe \
	  example/print_using_pipe.exe \
	  example/print_using_tty.exe \
	  example/idle.exe \
	  example/cat.exe \
	  example/onchange.exe \
	  example/tcp_echo_server.exe \
	  example/tcp_hello_world.exe \
	  example/udp_echo_server.exe \
	  example/udp_hello_world.exe \
	  example/host.exe \
	  example/http_get.exe \
	  example/readme.exe \
	  example/ifconfig.exe \
	  example/threads.exe \
	  example/thread_pool.exe \
	  example/mutex.exe \
	  example/progress.exe \
	  example/spawn.exe \
	  example/stdout.exe \
	  example/pipe.exe \
	  example/pipe_echo_server.exe \
	  example/pipe_hello_world.exe \
	  example/send_signal.exe \
	  example/sigint.exe
	_build/default/example/hello_world.exe
	_build/default/example/delay.exe
	_build/default/example/print_using_file.exe
	_build/default/example/print_using_pipe.exe
	bash -c "[ A$$TRAVIS == Atrue ]" || \
	  _build/default/example/print_using_tty.exe
	_build/default/example/idle.exe
	_build/default/example/cat.exe LICENSE.md
	(_build/default/example/onchange.exe false LICENSE.md || true) & \
	  (sleep 1; touch LICENSE.md)
	_build/default/example/tcp_echo_server.exe & \
	  (_build/default/example/tcp_hello_world.exe; \
	   sleep 1; killall tcp_echo_server.exe)
	_build/default/example/udp_echo_server.exe & \
	  (_build/default/example/udp_hello_world.exe; \
	   sleep 1; killall udp_echo_server.exe)
	_build/default/example/host.exe localhost
	_build/default/example/http_get.exe google.com /
	_build/default/example/readme.exe || true
	_build/default/example/ifconfig.exe
	_build/default/example/threads.exe
	_build/default/example/thread_pool.exe
	_build/default/example/mutex.exe
	_build/default/example/progress.exe
	_build/default/example/spawn.exe
	_build/default/example/stdout.exe
	_build/default/example/pipe.exe
	rm -f echo-pipe
	_build/default/example/pipe_echo_server.exe & \
	  (_build/default/example/pipe_hello_world.exe; \
	   sleep 1; killall pipe_echo_server.exe)
	_build/default/example/send_signal.exe
	bash -c "[ A$$TRAVIS == Atrue ]" || _build/default/example/sigint.exe

.PHONY : test-installation
test-installation : clean
	opam pin add -y --no-action luv . --kind=path
	opam reinstall -y luv
	cd test/installation && dune exec ./user.exe
	cd test/headers && dune exec ./headers.exe
	opam remove -y luv

.PHONY : test-installation-ci
test-installation-ci :
	opam pin add -y --no-action luv . --kind=git
	opam install -y luv
	cd test/installation && dune exec ./user.exe
	cd test/headers && dune exec ./headers.exe
	opam remove -y luv
	opam pin remove -y luv

LATEST_TAG := \
  git for-each-ref refs/tags \
    --sort=-taggerdate --format='%(refname:short)' --count=1

.PHONY : upgrade-libuv
upgrade-libuv :
	(cd src/c/vendor/libuv && git fetch)
	(cd src/c/vendor/libuv && git checkout `$(LATEST_TAG)`)
	make clean
	make eject-build
	ocaml src/gen/headers.ml
	(make && make test) || true
	@echo
	@echo "Sanity check:"
	@echo
	@(cd src/c/vendor/libuv && git log --pretty=oneline -n 5)
	@echo
	@git status
	@echo
	@echo "To get the tests to pass, edit at least test/version.ml. Then, fix"
	@echo "any other errors, review the changelog, and expose any new features."
	@echo "For examples, see commits around earlier libuv version upgrades."
	@echo "Suggestions for review:"
	@echo
	@echo "  make view-libuv-changelog"
	@echo "  git diff"
	@echo

.PHONY : view-libuv-changelog
view-libuv-changelog :
	(cd src/c/vendor/libuv && git show `$(LATEST_TAG)`)

AUTOGEN_OUTPUT := src/c/vendor/configure
AUTOGEN_SCRATCH := libuv-scratch

.PHONY : eject-build
eject-build :
	rm -rf $(AUTOGEN_SCRATCH)
	cp -r src/c/vendor/libuv $(AUTOGEN_SCRATCH)
	(cd $(AUTOGEN_SCRATCH) && ./autogen.sh)
	rm -rf $(AUTOGEN_OUTPUT)
	mkdir -p $(AUTOGEN_OUTPUT)
	mkdir -p $(AUTOGEN_OUTPUT)/m4
	(diff -qr src/c/vendor/libuv $(AUTOGEN_SCRATCH) || true) \
	  | sed 's#^Only in ##' \
	  | sed 's#: #/#' \
	  | sed 's#^$(AUTOGEN_SCRATCH)/##' \
	  | xargs -I FILE cp -r $(AUTOGEN_SCRATCH)/FILE $(AUTOGEN_OUTPUT)/FILE
	rm -rf $(AUTOGEN_SCRATCH)
	(cd $(AUTOGEN_OUTPUT) && rm -rf aclocal.m4 autom4te.cache m4)
	(cd src/c/vendor/libuv && git rev-parse HEAD) \
	  > $(AUTOGEN_OUTPUT)/commit-hash

.PHONY : check-ejected-build
check-ejected-build :
	@((cd src/c/vendor/libuv && git rev-parse HEAD) \
	  | diff $(AUTOGEN_OUTPUT)/commit-hash -) || \
	  (echo; \
       echo The vendored configure script is out of sync with libuv. Run; \
	   echo; \
	   echo "  make eject-build"; \
	   echo; \
	   echo and commit the changes to $(AUTOGEN_OUTPUT).; \
	   echo; \
	   false)

.PHONY : install-autotools
install-autotools :
	sudo apt install automake libtool

.PHONY : docs
docs : api-docs luvbook

.PHONY : api-docs
api-docs :
	dune build @doc -p luv

.PHONY : luvbook
luvbook :
	sphinx-build -b html docs docs/_build

.PHONY : watch-api-docs
watch-api-docs : api-docs
	inotifywait -mr -e modify --format '%f' src \
	  | xargs -L1 -I X make api-docs

.PHONY : watch-luvbook
watch-luvbook : luvbook
	inotifywait -mr -e modify docs/conf.py docs/*.rst example \
	  | xargs -L1 -I X make luvbook

.PHONY : install-sphinx
install-sphinx :
	sudo apt install python3-pip
	pip3 install -U sphinx

# make watch-api-docs &
# make watch-luvbook &
# open _build/default/_doc/_html/index.html
# open docs/_build/index.html

DOCS := ../gh-pages

.PHONY : stage-docs
stage-docs : api-docs luvbook
	[ -d $(DOCS) ] || git clone git@github.com:aantron/luv.git $(DOCS)
	cd $(DOCS) && git checkout gh-pages
	rm -rf $(DOCS)/*
	cp -r _build/default/_doc/_html/* $(DOCS)
	cp -r docs/_build/* $(DOCS)
	cd $(DOCS) && mv _static static
	cd $(DOCS) && mv _sources sources
	cd $(DOCS) && ls *.html | xargs -L1 sed -i 's#_static/#static/#g'
	cd $(DOCS) && ls *.html | xargs -L1 sed -i 's#_sources/#sources/#g'
	cd $(DOCS) && git add -A && git commit --amend --no-edit --reset-author

.PHONY : publish-docs
publish-docs : stage-docs
	cd $(DOCS) && git push --force-with-lease

VERSION := $(shell git describe --abbrev=0)
RELEASE := luv-$(VERSION)

.PHONY : release
release : check-ejected-build clean
	rm -rf $(RELEASE) $(RELEASE).tar $(RELEASE).tar.gz _release
	mkdir $(RELEASE)
	cp -r dune-project LICENSE.md luv.opam luv_unix.opam README.md src $(RELEASE)
	rm -rf $(RELEASE)/src/c/vendor/libuv/docs
	rm -rf $(RELEASE)/src/c/vendor/libuv/img
	rm -rf $(RELEASE)/src/c/vendor/libuv/test
	rm -rf $(RELEASE)/src/c/vendor/libuv/tools
	rm -rf $(RELEASE)/src/c/vendor/libuv/m4
	rm -rf $(RELEASE)/src/gen
	tar cf $(RELEASE).tar $(RELEASE)
	ls -l $(RELEASE).tar
	gzip -9 $(RELEASE).tar
	mkdir -p _release
	cp $(RELEASE).tar.gz _release
	(cd _release && tar xf $(RELEASE).tar.gz)
	opam pin add -y --no-action luv _release/$(RELEASE) --kind=path
	opam reinstall -y --verbose luv
	cd test/installation && dune exec ./user.exe
	opam remove -y luv
	opam pin remove -y luv
	md5sum $(RELEASE).tar.gz
	ls -l $(RELEASE).tar.gz

.PHONY : clean
clean :
	dune clean
	rm -rf docs/_build luv-* *.tar *.tar.gz _release *.install echo-pipe

=== debian/changelog ===
ocaml-luv (0.5.10-2build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jan 2022 15:18:51 +0100

ocaml-luv (0.5.10-2) unstable; urgency=medium

  * Install *_stubs.a files for non-ocamlopt arches as well.

 -- Andy Li <andy@onthewings.net>  Sat, 27 Nov 2021 13:41:50 +0800

ocaml-luv (0.5.10-1) unstable; urgency=medium

  * New upstream release.
    + Drop system_libuv.patch, which was applied upstream.
    + Update a dependency version in d/control.
    + Update d/copyright.
  * Add libluv-unix-ocaml* packages for luv_unix.
  * Bump Standards-Version to 4.6.0.1 (no changes).

 -- Andy Li <andy@onthewings.net>  Mon, 01 Nov 2021 11:24:23 +0800

ocaml-luv (0.5.6-1) unstable; urgency=medium

  * Initial release. (Closes: #982668)

 -- Andy Li <andy@onthewings.net>  Sat, 13 Feb 2021 14:45:04 +0800

=== debian/control ===
Source: ocaml-luv
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Andy Li <andy@onthewings.net>
Build-Depends:
 debhelper-compat (= 13),
 ocaml-nox,
 ocaml-dune (>= 2.0.0),
 libctypes-ocaml-dev (>= 0.14.0),
 libresult-ocaml-dev,
 libuv1-dev (>= 1.40.0),
 dh-ocaml
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-luv
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-luv.git
Homepage: https://github.com/aantron/luv

Package: libluv-ocaml-dev
Architecture: any
Depends:
 libuv1-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml binding to libuv (Development package)
 Luv is a binding to libuv, the cross-platform C library that does
 asynchronous I/O in Node.js and runs its main loop.
 .
 Besides asynchronous I/O, libuv also supports multiprocessing and
 multithreading. Multiple event loops can be run in different
 threads. libuv also exposes a lot of other functionality, amounting
 to a full OS API, and an alternative to the standard module Unix.
 .
 This package contains the development library of Luv.

Package: libluv-unix-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Helpers for interfacing OCaml Luv and Unix (Development package)
 Luv is a binding to libuv, the cross-platform C library that does
 asynchronous I/O in Node.js and runs its main loop.
 .
 Besides asynchronous I/O, libuv also supports multiprocessing and
 multithreading. Multiple event loops can be run in different
 threads. libuv also exposes a lot of other functionality, amounting
 to a full OS API, and an alternative to the standard module Unix.
 .
 This package contains the development library of luv_unix, helpers for
 interfacing Luv and Unix.

Package: libluv-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml binding to libuv (Runtime library)
 Luv is a binding to libuv, the cross-platform C library that does
 asynchronous I/O in Node.js and runs its main loop.
 .
 Besides asynchronous I/O, libuv also supports multiprocessing and
 multithreading. Multiple event loops can be run in different
 threads. libuv also exposes a lot of other functionality, amounting
 to a full OS API, and an alternative to the standard module Unix.
 .
 This package contains the runtime library of Luv.

Package: libluv-unix-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Helpers for interfacing OCaml Luv and Unix (Runtime library)
 Luv is a binding to libuv, the cross-platform C library that does
 asynchronous I/O in Node.js and runs its main loop.
 .
 Besides asynchronous I/O, libuv also supports multiprocessing and
 multithreading. Multiple event loops can be run in different
 threads. libuv also exposes a lot of other functionality, amounting
 to a full OS API, and an alternative to the standard module Unix.
 .
 This package contains the runtime library of luv_unix, helpers for
 interfacing Luv and Unix.

=== debian/tests/control ===
Tests: helloworld
Depends: ocaml-nox, ocaml-dune, @

## ocaml-luv 0.5.12

=== Makefile ===
--- 
+++ 
@@ -93,8 +93,8 @@
 
 .PHONY : upgrade-libuv
 upgrade-libuv :
-	(cd src/c/vendor/libuv && git fetch)
-	(cd src/c/vendor/libuv && git checkout `$(LATEST_TAG)`)
+	# (cd src/c/vendor/libuv && git fetch)
+	# (cd src/c/vendor/libuv && git checkout `$(LATEST_TAG)`)
 	make clean
 	make eject-build
 	ocaml src/gen/headers.ml
@@ -199,8 +199,10 @@
 	cp -r docs/_build/* $(DOCS)
 	cd $(DOCS) && mv _static static
 	cd $(DOCS) && mv _sources sources
+	cd $(DOCS) && mv _odoc_support odoc_support
 	cd $(DOCS) && ls *.html | xargs -L1 sed -i 's#_static/#static/#g'
 	cd $(DOCS) && ls *.html | xargs -L1 sed -i 's#_sources/#sources/#g'
+	cd $(DOCS) && find -name '*.html' | xargs -L1 sed -i 's#_odoc_support/#odoc_support/#g'
 	cd $(DOCS) && git add -A && git commit --amend --no-edit --reset-author
 
 .PHONY : publish-docs
@@ -229,7 +231,7 @@
 	(cd _release && tar xf $(RELEASE).tar.gz)
 	opam pin add -y --no-action luv _release/$(RELEASE) --kind=path
 	opam reinstall -y --verbose luv
-	cd test/installation && dune exec ./user.exe
+	cd test/installation && dune exec ./user.exe --root .
 	opam remove -y luv
 	opam pin remove -y luv
 	md5sum $(RELEASE).tar.gz

=== debian/changelog ===
ocaml-luv (0.5.12-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:18:22 +0000

ocaml-luv (0.5.12-2build2) noble; urgency=medium

  * No-change rebuild for libuv t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 16:53:46 +0100

ocaml-luv (0.5.12-2build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Nov 2023 17:18:03 +0100

ocaml-luv (0.5.12-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Use ocaml_dune DH buildsystem

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Set upstream metadata fields: Repository.

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 07:12:51 +0200

ocaml-luv (0.5.12-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2 (no changes).
  * Update d/watch.

 -- Andy Li <andy@onthewings.net>  Sun, 23 Jul 2023 13:01:56 +0000

ocaml-luv (0.5.10-3) unstable; urgency=medium

  * Team upload
  * Fix build with recent dune

 -- Stéphane Glondu <glondu@debian.org>  Sun, 16 Jul 2023 08:23:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: ocaml-luv
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Andy Li <andy@onthewings.net>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune (>= 2.0.0),
  libctypes-ocaml-dev (>= 0.14.0),
  libresult-ocaml-dev,
  libuv1-dev (>= 1.40.0),
- dh-ocaml
-Standards-Version: 4.6.0.1
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-luv
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-luv.git

## ocaml-luv 0.5.14

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,21 @@
 build :
 	dune build -p luv
 
+.PHONY : watch
+watch :
+	dune build -p luv -w
+
 .PHONY : test
 test :
 	dune runtest --no-buffer --force
+
+.PHONY : test-watch
+test-watch :
+	dune runtest --no-buffer --force --watch
+
+.PHONY : promote
+promote :
+	dune promote
 
 .PHONY : examples
 examples :
@@ -97,7 +109,7 @@
 	# (cd src/c/vendor/libuv && git checkout `$(LATEST_TAG)`)
 	make clean
 	make eject-build
-	ocaml src/gen/headers.ml
+	# ocaml src/gen/headers.ml
 	(make && make test) || true
 	@echo
 	@echo "Sanity check:"
@@ -157,57 +169,59 @@
 install-autotools :
 	sudo apt install automake libtool
 
+DOCS := docs/_build
+
 .PHONY : docs
-docs : api-docs luvbook
+docs : luvbook api-docs
+	mkdir -p $(DOCS)
+	cp -r _build/default/_doc/_html/luv $(DOCS)
+	cp -r _build/default/_doc/_html/odoc.support $(DOCS)
+	@echo See $(DOCS)/index.html
 
 .PHONY : api-docs
 api-docs :
 	dune build @doc -p luv
 
+SPHINX=7.2.6
+
 .PHONY : luvbook
 luvbook :
-	sphinx-build -b html docs docs/_build
+	@if [ "$$(sphinx-build --version)" != "sphinx-build $(SPHINX)" ]; \
+	then \
+		echo Please install Sphinx $(SPHINX); \
+		exit 1; \
+	fi
+	sphinx-build -b html docs $(DOCS)
 
 .PHONY : watch-api-docs
 watch-api-docs : api-docs
 	inotifywait -mr -e modify --format '%f' src \
-	  | xargs -L1 -I X make api-docs
+	  | xargs -L1 -I X make docs
 
 .PHONY : watch-luvbook
 watch-luvbook : luvbook
 	inotifywait -mr -e modify docs/conf.py docs/*.rst example \
-	  | xargs -L1 -I X make luvbook
+	  | xargs -L1 -I X make docs
 
 .PHONY : install-sphinx
 install-sphinx :
 	sudo apt install python3-pip
 	pip3 install -U sphinx
 
-# make watch-api-docs &
-# make watch-luvbook &
-# open _build/default/_doc/_html/index.html
-# open docs/_build/index.html
-
-DOCS := ../gh-pages
+PAGES := ../gh-pages
 
 .PHONY : stage-docs
-stage-docs : api-docs luvbook
-	[ -d $(DOCS) ] || git clone git@github.com:aantron/luv.git $(DOCS)
-	cd $(DOCS) && git checkout gh-pages
-	rm -rf $(DOCS)/*
-	cp -r _build/default/_doc/_html/* $(DOCS)
-	cp -r docs/_build/* $(DOCS)
-	cd $(DOCS) && mv _static static
-	cd $(DOCS) && mv _sources sources
-	cd $(DOCS) && mv _odoc_support odoc_support
-	cd $(DOCS) && ls *.html | xargs -L1 sed -i 's#_static/#static/#g'
-	cd $(DOCS) && ls *.html | xargs -L1 sed -i 's#_sources/#sources/#g'
-	cd $(DOCS) && find -name '*.html' | xargs -L1 sed -i 's#_odoc_support/#odoc_support/#g'
-	cd $(DOCS) && git add -A && git commit --amend --no-edit --reset-author
+stage-docs : docs
+	[ -d $(PAGES) ] || git clone git@github.com:aantron/luv.git $(PAGES)
+	cd $(PAGES) && git checkout gh-pages
+	rm -rf $(PAGES)/*
+	cp -r $(DOCS)/* $(PAGES)
+	touch $(PAGES)/.nojekyll
+	cd $(PAGES) && git add -A && git commit --amend --no-edit --reset-author
 
 .PHONY : publish-docs
 publish-docs : stage-docs
-	cd $(DOCS) && git push --force-with-lease
+	cd $(PAGES) && git push --force-with-lease
 
 VERSION := $(shell git describe --abbrev=0)
 RELEASE := luv-$(VERSION)
@@ -232,6 +246,7 @@
 	opam pin add -y --no-action luv _release/$(RELEASE) --kind=path
 	opam reinstall -y --verbose luv
 	cd test/installation && dune exec ./user.exe --root .
+	cd test/headers && dune exec ./headers.exe --root .
 	opam remove -y luv
 	opam pin remove -y luv
 	md5sum $(RELEASE).tar.gz
@@ -240,4 +255,4 @@
 .PHONY : clean
 clean :
 	dune clean
-	rm -rf docs/_build luv-* *.tar *.tar.gz _release *.install echo-pipe
+	rm -rf _build docs/_build luv-* *.tar *.tar.gz _release *.install echo-pipe

=== debian/changelog ===
ocaml-luv (0.5.14-2build2) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 06 Nov 2025 08:56:45 +0100

ocaml-luv (0.5.14-2build1) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 09:18:58 +0200

ocaml-luv (0.5.14-2) unstable; urgency=medium

  * Rebuild against ocaml 5.3.0 and libuv1 1.50.0 (Closes: #1092570)

 -- Andy Li <andy@onthewings.net>  Fri, 07 Feb 2025 03:40:44 +0000

ocaml-luv (0.5.14-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release (Closes: #1073023, #1081124)

  [ Julien Puydt ]
  * Bump standards-version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 01 Jan 2025 14:09:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ocaml-luv
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Andy Li <andy@onthewings.net>
 Build-Depends:
@@ -13,7 +12,7 @@
  libresult-ocaml-dev,
  libuv1-dev (>= 1.40.0),
  dh-ocaml (>= 1.2)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-luv
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-luv.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

export LUV_USE_SYSTEM_LIBUV=yes

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

override_dh_auto_test:
# Tests are broken somehow
